com.hazelcast.config

## Class ItemListenerConfigReadOnly

- java.lang.Object
- - com.hazelcast.config.ListenerConfig
  - - com.hazelcast.config.ItemListenerConfig
    - - com.hazelcast.config.ItemListenerConfigReadOnly

- All Implemented Interfaces:
    DataSerializable, IdentifiedDataSerializable

  Deprecated.
  this class will be removed in 4.0; it is meant for internal usage only.

      public class ItemListenerConfigReadOnly
      extends ItemListenerConfig

  Contains the configuration for an Item Listener(Read-only).

- - ### Field Summary

    - ### Fields inherited from class com.hazelcast.config.ListenerConfig

      `className, implementation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemListenerConfigReadOnly(ItemListenerConfig config)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ListenerConfig` | `setClassName(String className)` Deprecated. Sets the class name of the EventListener.
    `ListenerConfig` | `setImplementation(EventListener implementation)` Deprecated. Sets the EventListener implementation.
    `ItemListenerConfig` | `setImplementation(ItemListener implementation)` Deprecated.
    `ItemListenerConfig` | `setIncludeValue(boolean includeValue)` Deprecated.

    - ### Methods inherited from class com.hazelcast.config.ItemListenerConfig

      `equals, getAsReadOnly, getId, getImplementation, hashCode, isIncludeValue, readData, toString, writeData`

    - ### Methods inherited from class com.hazelcast.config.ListenerConfig

      `getClassName, getFactoryId, isLocal`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ItemListenerConfigReadOnly

          public ItemListenerConfigReadOnly(ItemListenerConfig config)

      Deprecated.

  - ### Method Detail

    - #### setImplementation

          public ItemListenerConfig setImplementation(ItemListener implementation)

      Deprecated.
      Overrides:
        `setImplementation` in class `ItemListenerConfig`

    - #### setIncludeValue

          public ItemListenerConfig setIncludeValue(boolean includeValue)

      Deprecated.
      Overrides:
        `setIncludeValue` in class `ItemListenerConfig`

    - #### setClassName

          public ListenerConfig setClassName(String className)

      Deprecated.
      Description copied from class: `ListenerConfig`
      Sets the class name of the EventListener.

      If a implementation was set, it will be removed.

      Overrides:
        `setClassName` in class `ListenerConfig`
      Parameters:
        `className` - the name of the class of the EventListener
      Returns:
        the updated ListenerConfig
      See Also:
        `ListenerConfig.setImplementation(java.util.EventListener)`, `ListenerConfig.getClassName()`

    - #### setImplementation

          public ListenerConfig setImplementation(EventListener implementation)

      Deprecated.
      Description copied from class: `ListenerConfig`
      Sets the EventListener implementation.

      If a className was set, it will be removed.

      Overrides:
        `setImplementation` in class `ListenerConfig`
      Parameters:
        `implementation` - the EventListener implementation
      Returns:
        the updated ListenerConfig
      See Also:
        `ListenerConfig.setClassName(String)`, `ListenerConfig.getImplementation()`

Copyright © 2018. All rights reserved.